Users
All operations require authentication.
List usersProduction
Path parameters
Domain of the service
Query parameters
Filter the value of name property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a userProduction
Get a user. Returns the user: login, contact details, activation state, permissions and identity provider.
Path parameters
Domain of the service
Response
Activation state of the user account
disableddisablingenabledenablingtoDisabletoEnableDeprecated - Linked Federation Active Directory (if any)
Deprecated - Federation Active Directory User type (if any)
groupuserDefines if the user can manage ip failovers
Defines if the user can manage the network
Defines if the user can manage users rights
Email address of the user
Defines if the user can manage encryption / KMS configuration
First name of the user
Defines if the user is a full admin in readonly
Linked Identity Provider (if any), can be Federation Active Directory or IAM
Linked Identity Provider type (if any), can be Federation Active Directory or IAM
federationiamCheck if the given VMware on OVHcloud user can be enabled or disabled ?
Defines if the user can confirm security tokens (if a compatible option is enabled)
Last name of the user
Login of the user
Name of the user
Is this User able to access nsx interface (requires NSX option)
Mobile phone number of the user
Defines if the user receives technical alerts
State of the user account
creatingdeletingdeliverederrorUser type (if any)
groupuserExample uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId} \
-H "authorization: Bearer $OVH_TOKEN"{ "activationState": "disabled", "activeDirectoryId": 0, "activeDirectoryType": "group", "canManageIpFailOvers": true, "canManageNetwork": true, "canManageRights": true, "email": "string", "encryptionRight": true, "firstName": "string", "fullAdminRo": true, "identityProviderId": 0, "identityProviderType": "federation", "isEnableManageable": true, "isTokenValidator": true, "lastName": "string", "login": "string", "name": "string", "nsxRight": true, "phoneNumber": "string", "receiveAlerts": true, "state": "creating", "type": "group", "userId": 0}
List user object rightsProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ objectRight \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a user object rightProduction
Get a user object right. Returns the right of the user on a VMware object: object type, MoRef, access level and propagation.
Path parameters
Domain of the service
Response
Name of the object
Right propagation on children objects
User access on the VMware object
admindisabledreadonlyreadwriteType of the object
clusterdatastoredvportgroupfolderpoolvmThe VMware MoRef of the object
Example uses objectRightId = 0, serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ objectRight/ {objectRightId} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "objectRightId": 0, "propagate": true, "right": "admin", "type": "cluster", "vmwareObjectId": "string"}
List user datacenter rightsProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ right \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a user datacenter rightProduction
Get a user datacenter right. Returns the access of the user on a datacenter: access level, network and VM network roles, and right to add resources.
Path parameters
Domain of the service
Response
Determine if the user can add ressources in your VMware on OVHcloud
Determine how this user can interact with the VMware on OVHcloud V(x)Lans
adminmanagernoAccessreadonlyDetermine what kind of access the User will have in this Datacenter of your VMware on OVHcloud
admindisabledreadonlyreadwriteDetermine how this user can interact with the VMware on OVHcloud VM Network
adminnoAccessreadonlyExample uses rightId = 0, serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ right/ {rightId} \
-H "authorization: Bearer $OVH_TOKEN"{ "canAddRessource": true, "datacenterId": 0, "networkRole": "admin", "right": "admin", "rightId": 0, "vmNetworkRole": "admin"}
Create a userProduction
Create a user. Creates a user. Its right applies to all datacenters and is disabled by default. Without a password, a random one is generated and sent by email.
Path parameters
Domain of the service
Request body (required)
Is this User able to add ressources in the Datacenter he has access ? (default is no right to add ressource)
Is this user able to manage the users rights
The user email. If this field is empty, user informations will be sent to the dedicatedCloud administrator contact.
Defines if the user can manage encryption / KMS configuration
Date of removal of the user.
First name of the user
Last name of the user
Name of the user (login)
Determine how this user will be able to act on this VMware on OVHcloud v(x)Lans
adminmanagernoAccessreadonlyIs this User able to access nsx interface (requires NSX option)
The user password. It must fits your VMware on OVHcloud password policy. If this field is empty, a random password will be generated and sent by email.
Mobile phone number of the user
Defines if the user receives technical alerts
Determine what kind of access the User will have in all Datacenters of your VMware on OVHcloud (default is disabled)
admindisabledreadonlyreadwriteDefines if the user can confirm security tokens (if a compatible option is enabled)
Determine how this user will be able to act on this VMware on OVHcloud VM Network
adminnoAccessreadonlyResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Change a user passwordProduction
Change a user password. Sets a new password that follows the password policy. Without a password, a random one is generated and sent by email. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
New password for this VMware on OVHcloud user. It must fit your VMware on OVHcloud password policy. If this field is empty, a random password will be generated and sent by email.
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Update a userProduction
Update a user. Updates the name, email address, phone number and permissions of the user. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Defines if the user can manage ip failovers
Defines if the user can manage the network
Defines if the user can manage the users rights
Email address of the user
Defines if the user can manage encryption / KMS configuration
First name of the user
Defines if the user is a full admin in readonly
Last name of the user
Is this User able to access nsx interface (requires NSX option)
Mobile phone number of the user in international format (+prefix.number)
Defines if the user receives technical alerts
Defines if the user can confirm security tokens (if a compatible option is enabled)
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ changeProperties \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Confirm a user phone numberProduction
Confirm a user phone number. Confirms the phone number with the token sent by SMS. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Token sent by SMS
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ confirmPhoneNumber \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable a userProduction
Disable a user. Disables the user account. Check isEnableManageable on the user first. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable a userProduction
Enable a user. Enables the user account. Check isEnableManageable on the user first. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Create a user object rightProduction
Create a user object right. Gives the user a right on a VMware object, given by its MoRef: cluster, datastore, portgroup, folder, pool or virtual machine. The right can propagate to child objects. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Right propagation on children objects
User access on the VMware object
admindisabledreadonlyreadwriteType of the object
clusterdatastoredvportgroupfolderpoolvmThe VMware MoRef of the object
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ objectRight \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete a userProduction
Delete a user. Deletes the user. To block its access without deleting it, use disable instead. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete a user object rightProduction
Delete a user object right. Removes the right of the user on the VMware object. Returns a task to track progress.
Path parameters
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses objectRightId = 0, serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ objectRight/ {objectRightId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Update a user datacenter rightProduction
Update a user datacenter right. Updates the access level, the network and VM network roles, and the right to add resources. Returns a task to track progress.
Path parameters
Domain of the service
Request body (required)
Determine if the user can add ressources in your VMware on OVHcloud
Determine how this user can interact with the VMware on OVHcloud V(x)Lans
adminmanagernoAccessreadonlyDetermine what kind of access the User will have in this Datacenter of your VMware on OVHcloud
admindisabledreadonlyreadwriteDetermine how this user can interact with the VMware on OVHcloud VM Network
adminnoAccessreadonlyResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses rightId = 0, serviceName = string, userId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ user/ {userId}/ right/ {rightId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}